{"title":"Get attachments","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_attachment_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_attachment_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_attachment_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets an attachments object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":179,"chars":392},{"level":2,"title":"Request headers","slug":"request-headers","at":571,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":643,"chars":61},{"level":2,"title":"Response","slug":"response","at":704,"chars":124},{"level":2,"title":"Example","slug":"example","at":828,"chars":598},{"level":2,"title":"Related information","slug":"related-information","at":1426,"chars":212}],"text":"Retrieve the properties and relationships of an attachments object for Business Central. An attachment in the Business Central API is defined as an Incoming Document (table 130).\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/attachments?$filter=parentId eq {journalLineId} and parentType eq ‘Journal’\n```\n> NOTE\n> Please note the $filter applied to attachment API. The filter is applied to get attachments for a specific entity.\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an attachments object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/attachments?$filter=parentId eq {journalLineId}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"b282a6f1-bfe3-ea11-aa60-000d3ad7cacb\",\n    \"parentId\": \"0a077d18-45e3-ea11-bb43-000d3a2feca1\",\n    \"fileName\": \"myPDF.pdf\",\n    \"byteSize\": 0,\n    \"lastModifiedDateTime\": \"2020-08-21T15:06:53Z\",\n    \"parentType\": \"Journal\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_attachment\ndynamics_attachment_delete\ndynamics_attachment_create\ndynamics_attachment_update"}